
QGIS Application - Bug report #13999

"Show feature count" on a rule based gives wrong result for the "ELSE" statement.

2015-12-16 05:17 AM - Etienne Trimaille

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22013

Description

If we set a rule based with an "ELSE" statement, the feature count is wrong. It shows the total number of features in the layer. But it should

be less as some other features are counted by the previous rules.

However, features in the "ELSE" are not rendered twice, that's good.

Associated revisions

Revision 58b3e200 - 2018-03-27 03:09 PM - Paul Blottiere

Fixes #13999: feature count on rule based renderer is valid for ELSE statement

History

#1 - 2016-05-25 09:06 AM - Saber Razmjooei

- Category changed from Vectors to Symbology

#2 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-03-30 10:07 AM - Paul Blottiere

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|58b3e2005444898aa02070ac4ebebe15d79b18a1.
